<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnServiceCallOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'serviceName' => array(
                    'id' => 'serviceName',
                                        'value' => 'MarkBirthdayBoysAndGirls',
                                    ),
            ),
            'outDataPorts' => array(
                'service' => array(
                    'id' => 'service',
                                        'value' => 'MarkBirthdayBoysAndGirls',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'day_of_birth_c',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'month_of_birth_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'CurrentDateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'GetDateFromDatetimeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'datetime' => array(
                    'id' => 'datetime',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'date' => array(
                    'id' => 'date',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'GetStringFromDateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'date' => array(
                    'id' => 'date',
                                        'value' => '',
                                    ),
                'format' => array(
                    'id' => 'format',
                                        'value' => 'j',
                                    ),
            ),
            'outDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'GetStringFromDateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'date' => array(
                    'id' => 'date',
                                        'value' => '',
                                    ),
                'format' => array(
                    'id' => 'format',
                                        'value' => 'n',
                                    ),
            ),
            'outDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'sendbirthdaygreetings_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-2controlFlow',
            'toOperator' => 'op-2',
            'toConnector' => 'controlFlow'
        ),
        'link-2' => array(
            'from' => 'op-3value',
            'fromOperator' => 'op-3',
            'fromConnector' => 'value',
            'to' => 'op-4datetime',
            'toOperator' => 'op-4',
            'toConnector' => 'datetime'
        ),
        'link-3' => array(
            'from' => 'op-4date',
            'fromOperator' => 'op-4',
            'fromConnector' => 'date',
            'to' => 'op-5date',
            'toOperator' => 'op-5',
            'toConnector' => 'date'
        ),
        'link-4' => array(
            'from' => 'op-5string',
            'fromOperator' => 'op-5',
            'fromConnector' => 'string',
            'to' => 'op-2fields0',
            'toOperator' => 'op-2',
            'toConnector' => 'fields0'
        ),
        'link-5' => array(
            'from' => 'op-4date',
            'fromOperator' => 'op-4',
            'fromConnector' => 'date',
            'to' => 'op-6date',
            'toOperator' => 'op-6',
            'toConnector' => 'date'
        ),
        'link-6' => array(
            'from' => 'op-6string',
            'fromOperator' => 'op-6',
            'fromConnector' => 'string',
            'to' => 'op-2fields1',
            'toOperator' => 'op-2',
            'toConnector' => 'fields1'
        ),
        'link-7' => array(
            'from' => 'op-2controlFlow',
            'fromOperator' => 'op-2',
            'fromConnector' => 'controlFlow',
            'to' => 'op-7controlFlow',
            'toOperator' => 'op-7',
            'toConnector' => 'controlFlow'
        ),
        'link-8' => array(
            'from' => 'op-2entities',
            'fromOperator' => 'op-2',
            'fromConnector' => 'entities',
            'to' => 'op-7entities',
            'toOperator' => 'op-7',
            'toConnector' => 'entities'
        ),
        'link-9' => array(
            'from' => 'op-7controlFlowLoopBody',
            'fromOperator' => 'op-7',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-10' => array(
            'from' => 'op-7entity',
            'fromOperator' => 'op-7',
            'fromConnector' => 'entity',
            'to' => 'op-8entity',
            'toOperator' => 'op-8',
            'toConnector' => 'entity'
        ),
        'link-11' => array(
            'from' => 'op-9result',
            'fromOperator' => 'op-9',
            'fromConnector' => 'result',
            'to' => 'op-8fields0',
            'toOperator' => 'op-8',
            'toConnector' => 'fields0'
        ),
        'link-12' => array(
            'from' => 'op-8controlFlow',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlow',
            'to' => 'op-10controlFlow',
            'toOperator' => 'op-10',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-8entity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'entity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
    )
);
